Package wx :: Package lib :: Package mixins :: Module imagelist :: Class MagicImageList

[frames | no frames]

## Class MagicImageList

Mix-in to provide "magic" growing image lists By Mike Fletcher

Method Summary
| ``AddIcon`(self, icon, mask)` Add an icon to the image list, or get the index if already there
| ``GetIcon`(self, node)` Get the actual icon object for a node
| ``GetIcons`(self, node)` Get icon indexes for a given node, or None if no associated icon
| `SetupIcons(self, images, size)`

Class Variable Summary
`int` | `DEFAULTICONSIZE` = 16

Method Details

### AddIcon(self, icon, mask=<wx._gdi.Bitmap; proxy of <Swig Object of type 'wxBitmap ...)

Add an icon to the image list, or get the index if already there

### GetIcon(self, node)

Get the actual icon object for a node

### GetIcons(self, node)

Get icon indexes for a given node, or None if no associated icon

Class Variable Details

### DEFAULTICONSIZE

  Type:
    `int`
  Value:

        16

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:08 2007 | http://epydoc.sf.net